libzbarqt0_0.10+doc-8_amd64.deb


Advertisement

Description

libzbarqt0 - bar code scanner and decoder (Qt bindings)

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main amd64
Package name libzbarqt0
Package version 0.10+doc
Package release 8
Package architecture amd64
Package type deb
Installed size 121 B
Download size 41.98 KB
Official Mirror ftp.br.debian.org
ZBar is a library for scanning and decoding bar codes from various sources
such as video streams, image files or raw intensity sensors. It supports
EAN-13/UPC-A, UPC-E, EAN-8, Code 128, Code 39, Interleaved 2 of 5 and QR Code.
This package contains the Qt bindings.

Alternatives

Package Version Architecture Repository
libzbarqt0_0.10+doc-8_i386.deb 0.10+doc i386 Debian Main
libzbarqt0 - - -

Requires

Name Value
libc6 >= 2.2.5
libgcc1 >= 1:4.1.1
libjpeg8 >= 8c
libqtcore4 >= 4:4.7.0~beta1
libqtgui4 >= 4:4.5.3
libstdc++6 >= 4.1.1
libv4l-0 >= 0.5.0
libzbar0 = 0.10+doc-8

Download

Type URL
Binary Package libzbarqt0_0.10+doc-8_amd64.deb
Source Package zbar

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libzbarqt0 deb package:
    # sudo apt-get install libzbarqt0

Files

Path
/usr/lib/libzbarqt.so.0
/usr/lib/libzbarqt.so.0.0.2
/usr/share/doc/libzbarqt0/changelog.Debian.gz
/usr/share/doc/libzbarqt0/changelog.gz
/usr/share/doc/libzbarqt0/copyright

Changelog

2013-03-17 - Bernd Zeimetz <bzed@debian.org>
zbar (0.10+doc-8) unstable; urgency=low
* [5c38da40] Use [linux-any] instead of [!kfreebsd-*].
Thanks to Robert Millan (Closes: #634774)
* [1f15f52e] Add sentinel to PyGetSetDef imagescanner_getset[].
Ensure that the loop is terminated which reads the
imagescanner_getset[] array on import - otherwise we'll run into
a segfault, at least on arm.
Thanks to Anton Gladky and Peter Green (Closes: #702499)
2011-07-10 - Bernd Zeimetz <bzed@debian.org>
zbar (0.10+doc-7) unstable; urgency=low
* [48425c37] Ack'ing NMU.
Thanks to Mehdi Dogguy (Closes: #625584)
* [ce18efe2] Don't install .la files. (Closes: #633271)
2011-06-26 - Mehdi Dogguy <mehdi@debian.org>
zbar (0.10+doc-6.1) unstable; urgency=high
* Non-maintainer upload.
* libzbar-dev depend on libmagick++-dev instead of libmagick++9-dev.
(Closes: #625584).
2011-04-27 - Bernd Zeimetz <bzed@debian.org>
zbar (0.10+doc-6) unstable; urgency=low
* [3b98a217] Require v4l as build-dependency on linux only.
* [5f635649] Migrate to dh_python2 instead of python-support.
2011-04-01 - Bernd Zeimetz <bzed@debian.org>
zbar (0.10+doc-5) unstable; urgency=low
* [2801e55f] Use the new dh_authtoolsdev-* helper to update config.*
* [906f5a10] Use dh-autoreconf to rebuild configure and friends.
Thanks to Peter Fritzsche (Closes: #558539)
* [a3042424] Use quilt to apply patches.
* [35182c3a] Description: Linux 2.6.38 and later do not support the v4l1 API.
Add patch to migrate to using the libv4l library to abstract the
access to Linux video devices, instead.
Patch taken from the upstream bug tracker.
Also add libv4l-dev as build-dependency.
Thanks to Steve Langasek (Closes: #620220)
* [425b9ce6] Fixing typo in the long description of python-zbar.
Thanks to Davide Prina (Closes: #617942)
2010-08-28 - Bernd Zeimetz <bzed@debian.org>
zbar (0.10+doc-4) unstable; urgency=low
* [abdd6f9f] Use better dependencies for zbar-dbg.
* [5c639854] Remove conflicts of libzbar-dev. libzbar replaced zebra
in directory names by zbar, so clashes with quagga and libpacklib1-
dev are avoided. So there is no need to conflict against the
packages anymore.
* [75f615f2] Use Breaks instead of Conflicts as suggested by lintian.
2010-06-09 - Bernd Zeimetz <bzed@debian.org>
zbar (0.10+doc-3) unstable; urgency=low
* [6b190c39] Enable VfL only on Linux instead of excluding kfreebsd
only. (Closes: #585082) - thanks to Samuel Thibault
* [da42c117] Update libzbarqt0 symbol files to newer dpkg-dev
features. As symbols seem to appear/disappear depending on the
version of QT and/or the compiler, I've relaxed the check for
changed symbols to stop complaining at all for libzbarqt0. I'll
update the symbols files manually when needed. (Closes: #584773) -
thanks to Loïc Minier
* [94ac49b6] Add missing dependency to the perl/Makefile target in
debian/rules. This should allow to build with -j again. (Closes:
#584758) - thanks to Loïc Minier
2010-05-25 - Bernd Zeimetz <bzed@debian.org>
zbar (0.10+doc-2build1) maverick; urgency=low
* Release for Ubuntu. 0.10+doc-2 FTBFS there due to default LDFLAGS
which were passed on to Perl's MakeMaker.
* [b0066775] Fix spelling error in changelog. Thanks lintian.
* [6ddbfe0d] Ensure only -L options are passed as LIBS to Perl's
MakeMaker.
2010-05-25 - Bernd Zeimetz <bzed@debian.org>
zbar (0.10+doc-2) unstable; urgency=low
* [1806e6cd] Copy libzbarqt0.symbols for each architecture.
* [8d172f95] Disable video support on kfreebsd.
* [63b87cf4] Don't list binaries for zbar-tools explicitly. zbarvideo
is not being built on kfreebsd, so we should not try to install it
there.
* [14e36c30] Don't rename debug extensions if they were renamed
already.
* [650fa88e] Fix libzbarqt0.symbols for various architectures - thanks
C++.

See Also

Package Description
libzeep-dev_2.9.0-2_amd64.deb Development files for libzeep
libzeep2.9_2.9.0-2_amd64.deb Library files for libzeep
libzeitgeist-1.0-1_0.3.18-1_amd64.deb library to access Zeitgeist - shared library
libzeitgeist-cil-dev_0.8.0.0-4_all.deb CLI bindings for Zeitgeist Project - development files
libzeitgeist-dev_0.3.18-1_amd64.deb library to access Zeitgeist - development files
libzeitgeist-doc_0.3.18-1_all.deb library to access Zeitgeist - documentation
libzeitgeist0.8-cil_0.8.0.0-4_all.deb CLI bindings for Zeitgeist Project
libzemberek-java-doc_2.1.1-8.1_all.deb Zemberek documentation
libzemberek-java_2.1.1-8.1_all.deb Spell checker library for Turkic languages
libzemberek-tk-java_2.1.1-8.1_all.deb Turkmen spellchecker
libzemberek-tr-java_2.1.1-8.1_all.deb Turkish spellchecker
libzen-dev_0.4.27-2_amd64.deb ZenLib C++ utility library -- development files
libzen-doc_0.4.27-2_all.deb ZenLib C++ utility library -- documentation
libzen0_0.4.27-2_amd64.deb ZenLib C++ utility library -- runtime
libzephyr-dev_3.0.2-2_amd64.deb Project Athena's notification service - development files
Advertisement
Advertisement